// switches driver header file
#ifndef DRV_MSGBOX
#define DRV_MSGBOX

/******************************************************************************
* Includes
******************************************************************************/
#include "main.h"
    
/******************************************************************************
* Macros 
******************************************************************************/


/******************************************************************************
* Constants
******************************************************************************/

/******************************************************************************
* Types
******************************************************************************/

typedef enum
{
  MSGBOX_OK = 0,
  MSGBOX_STORNO = 1,
  MSGBOX_YES = 2,
  MSGBOX_NO = 3,
  MSGBOX_RETRY = 4,
  MSGBOX_RES_NONE,
  MSGBOX_ESC
}SCRMSGBOX_RESULT;

typedef enum
{
  MSGBOX_BTN_OK = MSGBOX_OK,
  MSGBOX_BTN_STORNO = MSGBOX_STORNO,
  MSGBOX_BTN_YES = MSGBOX_YES,
  MSGBOX_BTN_NO = MSGBOX_NO,
  MSGBOX_BTN_RETRY = MSGBOX_RETRY,
  MSGBOX_BTN_NOTUSED
}SCRMSGBOX_BTN_TYPE;


typedef struct
{
  SCRMSGBOX_BTN_TYPE Btn1_type;
  SCRMSGBOX_BTN_TYPE Btn2_type;
  D4CD_CHAR* pLbl_txt; 
  D4CD_CHAR* pScr_txt;  
  void (*pResultCallBack)(SCRMSGBOX_RESULT result);
}SCRMSGBOX_DESC;

#define SCRMSGBOX_MAX_TXT_LEN 18
 
  
/******************************************************************************
* Global variables
******************************************************************************/

/******************************************************************************
* Global functions
******************************************************************************/

void ScrWarning_Activate(SCRMSGBOX_DESC* pWarnDesc);
SCRMSGBOX_RESULT ScrWarning_GetLastResult(void);

#endif //DRV_MSGBOX